package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author lch
 */
@Getter
@AllArgsConstructor
public enum StockPreUseModeEnum {

    /**
     * //模式一 上游erp下传数据指定了批号+指定货位+清货位逻辑
     * public final static String stock_mode_batch_location_clear = "1";
     * //模式二：- 上游erp下传数据指定了批号+指定货位+先进先出逻辑；
     * public final static String stock_mode_batch_location_fifo = "2";
     * //模式三：-上游erp下传数据指定了批号+指定货位+优先满足订单逻辑；
     * public final static String stock_mode_batch_location_prior = "3";
     */
    stock_mode_batch_location_clear("1", "批号+指定货位+清货位逻辑"),
    stock_mode_batch_location_fifo("2", "批号+指定货位+先进先出逻辑；"),
    stock_mode_batch_location_prior("3", "批号+指定货位+优先满足订单逻辑；"),

    ;

    private String value;
    private String desc;

    public static StockPreUseModeEnum getStockPreUseModeEnum(String value) {
        for (StockPreUseModeEnum typeEnum : StockPreUseModeEnum.values()) {
            if (typeEnum.getValue().equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

}
